Traversal.PathDescriptor (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Interface Traversal.PathDescriptor<T extends Path>

Type Parameters:
  `T` - the type of `Path`.

All Known Implementing Classes:
  Traversal.DefaultPathDescriptor

Enclosing class:
  Traversal

    public static interface Traversal.PathDescriptor<T extends Path>

Provides hooks to help build a string representation of a `Path`.

Method Summary
`String` | `nodeRepresentation(T path, Node node)` Returns a string representation of a `Node`.
`String` | `relationshipRepresentation(T path, Node from, Relationship relationship)` Returns a string representation of a `Relationship`.

Method Detail

### nodeRepresentation

    String nodeRepresentation(T path,
                              Node node)

  Returns a string representation of a `Node`.

  Parameters:
    `path` - the `Path` we're building a string representation from.
    `node` - the `Node` to return a string representation of.
  Returns:
    a string representation of a `Node`.

### relationshipRepresentation

    String relationshipRepresentation(T path,
                                      Node from,
                                      Relationship relationship)

  Returns a string representation of a `Relationship`.

  Parameters:
    `path` - the `Path` we're building a string representation from.
    `from` - the previous `Node` in the path.
    `relationship` - the `Relationship` to return a string representation of.
  Returns:
    a string representation of a `Relationship`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.